BlackBerry OS 6 Will not hit Storm or Storm 2


RIM just announced the BlackBerry Torch 9800 this morning. The new BlackBerry Torch will run the long awaited OS 6 when it launches in a couple of weeks time.

Along with the launch details earlier today, a press release was sent out that indicates that older devices will not be getting an update to BlackBerry OS 6.

Subject to carrier certifications in the months ahead, the new OS is expected to be available for the BlackBerry® Bold¢ 9700, BlackBerry® Bold¢ 9650 and BlackBerry® Pearl¢ 3G, as well as future BlackBerry smartphones.

For those who have an older device, it looks like you’ll be stuck on BlackBerry OS 5 and will need to upgrade to a BlackBerry Torch or another new unreleased phone if you want to test what OS 6 is all about.

Hints at older devices not being capable of running OS 6 came recently when some Storm 3 details were revealed that show the device has more memory and power to make it more capable of running the newer OS.

Via: Gizmodo

Speak Your Mind